#pragma once
#include <luna/PlacementNew.h>
#include <luna/Result.h>

Result<void*> kmalloc(usize size, bool should_scrub = true);
Result<void*> kcalloc(usize nmemb, usize size);
Result<void*> krealloc(void* ptr, usize size);
Result<void> kfree(void* ptr);

void dump_heap_usage();